Delete location attribute by code - Fabric
Delete location attribute by code
cURL
curl --request DELETE \
--url https://prod01.oms.fabric.inc/api/v2/location/attribute/{code} \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
import requests
url = "https://prod01.oms.fabric.inc/api/v2/location/attribute/{code}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)
const options = {
method: 'DELETE',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/location/attribute/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Responses
- 200: OK
- 400: Invalid payload or parameter
- 404: Resource not found. If the issue persists please contact support@fabric.inc.
- 500: An internal error occurred. If the issue persists please contact support@fabric.inc.
Example Response
{
"id": "622786ae0bdb19221a24fb61",
"code": "isBopis",
"name": "Is Bopis",
"description": "To check the status of the BOPIS (Buy-Online_Pickup-In-Store)",
"required": true
}
Authorization
- Authorization:
Bearer <token> - Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
- x-site-context: Required header that contains JSON object information about the data source. Mandatory
account, channel, stage, and date attributes may be included to narrow the data source scope. Example:
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
Path Parameters
- code: Required attribute code (e.g., "isBopis").
Data Types
- Type of attribute can be
BOOLEAN, INTEGER, NUMBER, STRING.
- required: Flag indicating if the attribute is mandatory while creating a location.